#property indicator_chart_window
#property indicator_color1 LightSeaGreen
//---- indicator parameters
extern int ATR_TF=20;
extern double AtrSLMult=3.0;
extern double SlowerMult=0.5;
extern double SlowerMult1=1.6;

double HighMapBuffer[50],LowMapBuffer[50];
int init()
  {
   return(0);
  }
int start()
  {
   string ss;
   int m = Time[0] + Period()*60 - CurTime();
   int s = m % 60;
   m = (m - s) / 60;
   ss = s;
   if (s < 10) { ss = "0" + s; }  
   double spr=MarketInfo(Symbol(),MODE_SPREAD);
   double tickv=MarketInfo(Symbol(),MODE_TICKVALUE);
   double ticks=MathPow(10,Digits)*(WindowPriceMax(0)-WindowPriceMin(0));
   Comment("Spread=",spr,"  Tick=",NormalizeDouble(tickv,2),"  MinSL=",MathRound(AtrSLMult*iATR(NULL,0,ATR_TF,0)/Point),"  Window=",MathRound(tickv*ticks),"  Win/Spr=",MathRound(ticks/spr),"   ",m + ":" + ss + " to end ");
   return(0);
  }
//+------------------------------------------------------------------+